Panda3D

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
plist< Type > Class Template Reference

This is our own Panda specialization on the default STL list. More...

`#include "plist.h"`

Inheritance diagram for plist< Type >:

## Public Types
typedef pallocator_single< Type > | allocator
typedef std::list< Type, allocator > | base_class
typedef base_class::const_iterator | const_iterator
typedef base_class::const_reverse_iterator | const_reverse_iterator
typedef base_class::iterator | iterator
typedef base_class::reverse_iterator | reverse_iterator
typedef base_class::size_type | size_type

## Public Member Functions
| plist (size_type n, const Type &value, TypeHandle type_handle=plist_type_handle)
| plist (size_type n, TypeHandle type_handle=plist_type_handle)
| plist (TypeHandle type_handle=plist_type_handle)
void | remove (const Type &val)

## Detailed Description

template<class Type>
class plist< Type >

This is our own Panda specialization on the default STL list.

Its main purpose is to call the hooks for MemoryUsage to properly track STL- allocated memory.

Definition at line 35 of file plist.h.

## Member Typedef Documentation

## ◆ allocator

template<class Type>

typedef pallocator_single<Type> plist< Type >::allocator

Definition at line 37 of file plist.h.

## ◆ base_class

template<class Type>

typedef std::list<Type, allocator> plist< Type >::base_class

Definition at line 38 of file plist.h.

## ◆ const_iterator

template<class Type>

typedef base_class::const_iterator plist< Type >::const_iterator

Definition at line 45 of file plist.h.

## ◆ const_reverse_iterator

template<class Type>

typedef base_class::const_reverse_iterator plist< Type >::const_reverse_iterator

Definition at line 47 of file plist.h.

## ◆ iterator

template<class Type>

typedef base_class::iterator plist< Type >::iterator

Definition at line 44 of file plist.h.

## ◆ reverse_iterator

template<class Type>

typedef base_class::reverse_iterator plist< Type >::reverse_iterator

Definition at line 46 of file plist.h.

## ◆ size_type

template<class Type>

typedef base_class::size_type plist< Type >::size_type

Definition at line 39 of file plist.h.

## Constructor & Destructor Documentation

## ◆ plist() [1/3]

template<class Type>

plist< Type >::plist | ( | TypeHandle | type_handle = plist_type_handle | ) |
| inline

Definition at line 40 of file plist.h.

## ◆ plist() [2/3]

template<class Type>

plist< Type >::plist | ( | size_type | n,
|  | TypeHandle | type_handle = plist_type_handle )
| inline

Definition at line 41 of file plist.h.

## ◆ plist() [3/3]

template<class Type>

plist< Type >::plist | ( | size_type | n,
|  | const Type & | value,
|  | TypeHandle | type_handle = plist_type_handle )
| inline

Definition at line 42 of file plist.h.

## Member Function Documentation

## ◆ remove()

template<class Type>

void plist< Type >::remove | ( | const Type & | val | ) |
| inline

Definition at line 51 of file plist.h.

The documentation for this class was generated from the following file:

- dtool/src/dtoolbase/plist.h